package com.eco.plugin.xx.zjgintegrate.config;

import com.fr.config.*;
import com.fr.config.holder.Conf;
import com.fr.config.holder.factory.Holders;
import com.fr.intelli.record.Focus;
import com.fr.intelli.record.Original;
import com.fr.record.analyzer.EnableMetrics;

@Visualization(category = "移动端单点配置")
@EnableMetrics
public class MobileSSSOConfig extends DefaultConfiguration {

    private static volatile MobileSSSOConfig config = null;

    @Focus(id="com.eco.plugin.xx.zjgintegrate.config", text = "移动端单点配置", source = Original.PLUGIN)
    public static MobileSSSOConfig getInstance() {
        if (config == null) {
            config = ConfigContext.getConfigInstance(MobileSSSOConfig.class);
        }
        return config;
    }

    @Identifier(value = "appkey", name = "appkey", description = "appkey", status = Status.SHOW)
    private Conf<String> appkey = Holders.simple("");

    @Identifier(value = "userurl", name = "用户信息接口", description = "用户信息接口", status = Status.SHOW)
    private Conf<String> userurl = Holders.simple("");

    public String getAppkey() {
        return appkey.get();
    }

    public void setAppkey(String url) {
        this.appkey.set(url);
    }

    public String getUserurl() {
        return userurl.get();
    }

    public void setUserurl(String url) {
        this.userurl.set(url);
    }

    @Override
    public Object clone() throws CloneNotSupportedException {
        MobileSSSOConfig cloned = (MobileSSSOConfig) super.clone();
//        cloned.text = (Conf<String>) text.clone();
//        cloned.count = (Conf<Integer>) count.clone();
//        cloned.price = (Conf<Double>) price.clone();
//        cloned.time = (Conf<Long>) time.clone();
//        cloned.student = (Conf<Boolean>) student.clone();
        return cloned;
    }

}
