package com.eco.plugin.xx.zjgintegrate.config;

import com.fr.config.*;
import com.fr.config.holder.Conf;
import com.fr.config.holder.factory.Holders;
import com.fr.intelli.record.Focus;
import com.fr.intelli.record.Original;
import com.fr.record.analyzer.EnableMetrics;

@Visualization(category = "pc单点配置")
@EnableMetrics
public class PCSSSOConfig extends DefaultConfiguration {

    private static volatile PCSSSOConfig config = null;

    @Focus(id="com.eco.plugin.xx.zjgintegrate.config", text = "pc单点配置", source = Original.PLUGIN)
    public static PCSSSOConfig getInstance() {
        if (config == null) {
            config = ConfigContext.getConfigInstance(PCSSSOConfig.class);
        }
        return config;
    }

    @Identifier(value = "clientid", name = "应用id", description = "应用id", status = Status.SHOW)
    private Conf<String> clientid = Holders.simple("");

    @Identifier(value = "secret", name = "应用秘钥", description = "应用秘钥", status = Status.SHOW)
    private Conf<String> secret = Holders.simple("");

    @Identifier(value = "authurl", name = "获取授权码接口", description = "获取授权码接口", status = Status.SHOW)
    private Conf<String> authurl = Holders.simple("");

    @Identifier(value = "tokenurl", name = "获取token接口", description = "获取token接口", status = Status.SHOW)
    private Conf<String> tokenurl = Holders.simple("");

    @Identifier(value = "userurl", name = "获取用户信息接口", description = "获取用户信息接口", status = Status.SHOW)
    private Conf<String> userurl = Holders.simple("");

    @Identifier(value = "logouturl", name = "登出接口", description = "登出接口", status = Status.SHOW)
    private Conf<String> logouturl = Holders.simple("");

    @Identifier(value = "forbidlogin", name = "是否屏蔽登陆页", description = "是否屏蔽登陆页", status = Status.SHOW)
    private Conf<Boolean> forbidlogin = Holders.simple(false);

    public Boolean getForbidlogin() {
        return forbidlogin.get();
    }

    public void setForbidlogin(Boolean url) {
        this.forbidlogin.set(url);
    }

    public String getClientid() {
        return clientid.get();
    }

    public void setClientid(String url) {
        this.clientid.set(url);
    }

    public String getSecret() {
        return secret.get();
    }

    public void setSecret(String url) {
        this.secret.set(url);
    }

    public String getAuthurl() {
        return authurl.get();
    }

    public void setAuthurl(String url) {
        this.authurl.set(url);
    }

    public String getTokenurl() {
        return tokenurl.get();
    }

    public void setTokenurl(String url) {
        this.tokenurl.set(url);
    }

    public String getUserurl() {
        return userurl.get();
    }

    public void setUserurl(String url) {
        this.userurl.set(url);
    }

    public String getLogouturl() {
        return logouturl.get();
    }

    public void setLogouturl(String url) {
        this.logouturl.set(url);
    }
    @Override
    public Object clone() throws CloneNotSupportedException {
        PCSSSOConfig cloned = (PCSSSOConfig) super.clone();
//        cloned.text = (Conf<String>) text.clone();
//        cloned.count = (Conf<Integer>) count.clone();
//        cloned.price = (Conf<Double>) price.clone();
//        cloned.time = (Conf<Long>) time.clone();
//        cloned.student = (Conf<Boolean>) student.clone();
        return cloned;
    }

}
