package com.eco.plugin.xx.zjgintegrate.config;

import com.fr.config.*;
import com.fr.config.holder.Conf;
import com.fr.config.holder.factory.Holders;
import com.fr.intelli.record.Focus;
import com.fr.intelli.record.Original;
import com.fr.record.analyzer.EnableMetrics;

@Visualization(category = "数据同步配置")
@EnableMetrics
public class PluginSimpleConfig extends DefaultConfiguration {

    private static volatile PluginSimpleConfig config = null;

    @Focus(id="com.eco.plugin.xx.zjgintegrate.config", text = "数据同步配置", source = Original.PLUGIN)
    public static PluginSimpleConfig getInstance() {
        if (config == null) {
            config = ConfigContext.getConfigInstance(PluginSimpleConfig.class);
        }
        return config;
    }

    @Identifier(value = "username", name = "应用账户", description = "应用账户", status = Status.SHOW)
    private Conf<String> username = Holders.simple("");

    @Identifier(value = "psd", name = "应用密码", description = "应用密码", status = Status.SHOW)
    private Conf<String> psd = Holders.simple("");

    public String getUsername() {
        return username.get();
    }

    public void setUsername(String url) {
        this.username.set(url);
    }

    public String getPsd() {
        return psd.get();
    }

    public void setPsd(String url) {
        this.psd.set(url);
    }

    @Override
    public Object clone() throws CloneNotSupportedException {
        PluginSimpleConfig cloned = (PluginSimpleConfig) super.clone();
//        cloned.text = (Conf<String>) text.clone();
//        cloned.count = (Conf<Integer>) count.clone();
//        cloned.price = (Conf<Double>) price.clone();
//        cloned.time = (Conf<Long>) time.clone();
//        cloned.student = (Conf<Boolean>) student.clone();
        return cloned;
    }

}
